<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::acl::PostConnectSynchronizer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html">acl</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html">PostConnectSynchronizer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::acl::PostConnectSynchronizer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_post_connect_synchronizer_8h_source.html">PostConnectSynchronizer.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::acl::PostConnectSynchronizer:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer_inherit__map" id="alexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_interface.html" title="alexaClientSDK::acl\l::PostConnectInterface" alt="" coords="57,5,214,44"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_requester_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::ContextRequester\lInterface" alt="" coords="24,68,247,120"/>
<area shape="rect" id="node4" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::MessageRequest\lObserverInterface" alt="" coords="26,144,245,196"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::acl::PostConnectSynchronizer:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer_coll__map" id="alexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_interface.html" title="alexaClientSDK::acl\l::PostConnectInterface" alt="" coords="57,5,214,44"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_requester_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::ContextRequester\lInterface" alt="" coords="24,68,247,120"/>
<area shape="rect" id="node4" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::MessageRequest\lObserverInterface" alt="" coords="26,144,245,196"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a733bc71fa32ddeb32b207b5ec8f2bfdf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#a733bc71fa32ddeb32b207b5ec8f2bfdf">~PostConnectSynchronizer</a> ()</td></tr>
<tr class="separator:a733bc71fa32ddeb32b207b5ec8f2bfdf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">PostConnectInterface methods</div></td></tr>
<tr class="memitem:ae013f7dc70c1413fdab6308710367b86"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#ae013f7dc70c1413fdab6308710367b86">doPostConnect</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_transport.html">HTTP2Transport</a> &gt; transport) override</td></tr>
<tr class="separator:ae013f7dc70c1413fdab6308710367b86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4edb0adacc7abdc70c9fe65dfa50f724"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#a4edb0adacc7abdc70c9fe65dfa50f724">onDisconnect</a> () override</td></tr>
<tr class="separator:a4edb0adacc7abdc70c9fe65dfa50f724"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">ContextRequesterInterface methods</div></td></tr>
<tr class="memitem:af79e6b790e7b8ea938a92a3502921db0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#af79e6b790e7b8ea938a92a3502921db0">onContextAvailable</a> (const std::string &amp;jsonContext) override</td></tr>
<tr class="separator:af79e6b790e7b8ea938a92a3502921db0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee1b113394033b8ccee6195fa23ff8ee"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#aee1b113394033b8ccee6195fa23ff8ee">onContextFailure</a> (const <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html#a8ec2f2403294717c740bfacf5c62d018">avsCommon::sdkInterfaces::ContextRequestError</a> error) override</td></tr>
<tr class="separator:aee1b113394033b8ccee6195fa23ff8ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">MessageRequestObserverInterface methods</div></td></tr>
<tr class="memitem:ac5c4fc5fef1bcccfad0951666170f465"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#ac5c4fc5fef1bcccfad0951666170f465">onSendCompleted</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7b">MessageRequestObserverInterface::Status</a> status) override</td></tr>
<tr class="separator:ac5c4fc5fef1bcccfad0951666170f465"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3851c949bdaeb04fc495fb0d65db69ed"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#a3851c949bdaeb04fc495fb0d65db69ed">onExceptionReceived</a> (const std::string &amp;exceptionMessage) override</td></tr>
<tr class="separator:a3851c949bdaeb04fc495fb0d65db69ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1acl_1_1_post_connect_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1acl_1_1_post_connect_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_interface.html">alexaClientSDK::acl::PostConnectInterface</a></td></tr>
<tr class="memitem:a60a6921f4e6b3b1d62c30bbbc6b64e23 inherit pub_methods_classalexa_client_s_d_k_1_1acl_1_1_post_connect_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_interface.html#a60a6921f4e6b3b1d62c30bbbc6b64e23">~PostConnectInterface</a> ()=default</td></tr>
<tr class="separator:a60a6921f4e6b3b1d62c30bbbc6b64e23 inherit pub_methods_classalexa_client_s_d_k_1_1acl_1_1_post_connect_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_requester_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_requester_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_requester_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::ContextRequesterInterface</a></td></tr>
<tr class="memitem:a761877550e7024ecd44aea4ca306b877 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_requester_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_requester_interface.html#a761877550e7024ecd44aea4ca306b877">~ContextRequesterInterface</a> ()=default</td></tr>
<tr class="separator:a761877550e7024ecd44aea4ca306b877 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_requester_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::MessageRequestObserverInterface</a></td></tr>
<tr class="memitem:aeeed2fcf0a58bfae1b1fcd05eb0325e1 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#aeeed2fcf0a58bfae1b1fcd05eb0325e1">~MessageRequestObserverInterface</a> ()=default</td></tr>
<tr class="separator:aeeed2fcf0a58bfae1b1fcd05eb0325e1 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a9d489e373133ee3e1f8ac387f31ddeed"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html">PostConnectSynchronizer</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#a9d489e373133ee3e1f8ac387f31ddeed">create</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_manager_interface.html">avsCommon::sdkInterfaces::ContextManagerInterface</a> &gt; contextManager)</td></tr>
<tr class="separator:a9d489e373133ee3e1f8ac387f31ddeed"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:aee60dfc13f0d0163a600d788a524a725"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#aee60dfc13f0d0163a600d788a524a725">operator&lt;&lt;</a> (std::ostream &amp;stream, State state)</td></tr>
<tr class="memdesc:aee60dfc13f0d0163a600d788a524a725"><td class="mdescLeft">&#160;</td><td class="mdescRight">Friend to allow access to enum class <code>State</code>.  <a href="#aee60dfc13f0d0163a600d788a524a725">More...</a><br /></td></tr>
<tr class="separator:aee60dfc13f0d0163a600d788a524a725"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::MessageRequestObserverInterface</a></td></tr>
<tr class="memitem:a29e40517f71dfc83e3159a8f0f489d7b inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7b">Status</a> { <br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7bac69f06e1a9b016d133907b4e5f5864d2">Status::PENDING</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7bad0749aaba8b833466dfcbb0428e4f89c">Status::SUCCESS</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7ba042270fa18f5daa4cb749ebcfdd58897">Status::SUCCESS_NO_CONTENT</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7bad91be9b5ceb9fe0af02b9b02413eccf8">Status::NOT_CONNECTED</a>, 
<br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7ba48aed7ecac60ad92d2006b58f16f483b">Status::NOT_SYNCHRONIZED</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7bac5b306a30b21dec5abcb84067152687a">Status::TIMEDOUT</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7ba23f149f0f9ae9ed9e0119e7209178a5d">Status::PROTOCOL_ERROR</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7bae8c0c70879b5895c615677261d64a1ee">Status::INTERNAL_ERROR</a>, 
<br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7bab6f29ff7ebbf70db43b5ec7afc52228a">Status::SERVER_INTERNAL_ERROR_V2</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7ba392253eaea22aafdb199bc238bafc082">Status::REFUSED</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7bad4539bffb6062bdcbd7e7cc1b1228926">Status::CANCELED</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7bad56f03cea4fb854fa3000896bfd66fe3">Status::THROTTLED</a>, 
<br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7baabd298f8599f681c645d152c354f24de">Status::INVALID_AUTH</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7ba0bbffe9eb8bbfc49246e867fccaefb73">Status::BAD_REQUEST</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7ba565bf62d0232917ae7d656bbba39c04d">Status::SERVER_OTHER_ERROR</a>
<br />
 }</td></tr>
<tr class="separator:a29e40517f71dfc83e3159a8f0f489d7b inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Class that posts the StateSynchronizer message to the AVS. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a733bc71fa32ddeb32b207b5ec8f2bfdf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a733bc71fa32ddeb32b207b5ec8f2bfdf">&#9670;&nbsp;</a></span>~PostConnectSynchronizer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::PostConnectSynchronizer::~PostConnectSynchronizer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a9d489e373133ee3e1f8ac387f31ddeed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d489e373133ee3e1f8ac387f31ddeed">&#9670;&nbsp;</a></span>create()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html">PostConnectSynchronizer</a> &gt; alexaClientSDK::acl::PostConnectSynchronizer::create </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_manager_interface.html">avsCommon::sdkInterfaces::ContextManagerInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>contextManager</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Creates a <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html">PostConnectSynchronizer</a> object.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td><code>ContextManager</code> which will provide the context for the <code>SynchronizeState</code> event. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>a shared pointer to <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html">PostConnectSynchronizer</a> if all given parameters are valid, otherwise return nullptr.</dd></dl>
<p>Method that creates post-connect object. </p>

</div>
</div>
<a id="ae013f7dc70c1413fdab6308710367b86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae013f7dc70c1413fdab6308710367b86">&#9670;&nbsp;</a></span>doPostConnect()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::acl::PostConnectSynchronizer::doPostConnect </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_transport.html">HTTP2Transport</a> &gt;&#160;</td>
          <td class="paramname"><em>transport</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">The main method which is responsible for doing the PostConnect action of the specific PostConnect object type.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">transport</td><td>The transport to which the post connect is associated..</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A boolean to indicate that the post connect process has been successfully initiated </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_interface.html#a6e42358b110f2edb825cbc7b86ae63ef">alexaClientSDK::acl::PostConnectInterface</a>.</p>

</div>
</div>
<a id="af79e6b790e7b8ea938a92a3502921db0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af79e6b790e7b8ea938a92a3502921db0">&#9670;&nbsp;</a></span>onContextAvailable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::acl::PostConnectSynchronizer::onContextAvailable </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>jsonContext</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">This is called by the ContextManager once the context is ready and available.</p>
<dl class="section note"><dt>Note</dt><dd>The <code>ContextRequester</code> should perform minimum processing and return quickly. Otherwise it will block the processing of updating the of other <code>ContextProviders</code>.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">jsonContext</td><td>Context information.Context provided is of the format {"context"[{...}, {...}]} </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_requester_interface.html#a708ba6b9a62ce4e6dea01edb0b0816ba">alexaClientSDK::avsCommon::sdkInterfaces::ContextRequesterInterface</a>.</p>

</div>
</div>
<a id="aee1b113394033b8ccee6195fa23ff8ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee1b113394033b8ccee6195fa23ff8ee">&#9670;&nbsp;</a></span>onContextFailure()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::acl::PostConnectSynchronizer::onContextFailure </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html#a8ec2f2403294717c740bfacf5c62d018">avsCommon::sdkInterfaces::ContextRequestError</a>&#160;</td>
          <td class="paramname"><em>error</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">The <a class="el" href="namespacealexa_client_s_d_k_1_1context_manager.html">contextManager</a> calls this if it is unable to process a <code>getContext</code> request successfully.</p>
<dl class="section note"><dt>Note</dt><dd>The <code>ContextRequester</code> should perform minimum processing and return quickly. Otherwise it will block the processing of updating the of other <code>ContextProviders</code>.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">error</td><td>The reason why the getContext request failed. </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_requester_interface.html#a6908636a25b0f2db2c079c66407f04a1">alexaClientSDK::avsCommon::sdkInterfaces::ContextRequesterInterface</a>.</p>

</div>
</div>
<a id="a4edb0adacc7abdc70c9fe65dfa50f724"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4edb0adacc7abdc70c9fe65dfa50f724">&#9670;&nbsp;</a></span>onDisconnect()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::acl::PostConnectSynchronizer::onDisconnect </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Handle notification that the connection has been lost. </p>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_interface.html#a3470349b51df91d17e4a8c090195ad92">alexaClientSDK::acl::PostConnectInterface</a>.</p>

</div>
</div>
<a id="a3851c949bdaeb04fc495fb0d65db69ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3851c949bdaeb04fc495fb0d65db69ed">&#9670;&nbsp;</a></span>onExceptionReceived()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::acl::PostConnectSynchronizer::onExceptionReceived </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>exceptionMessage</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#aab527606e4e69cf4be8155feaaa16b92">alexaClientSDK::avsCommon::sdkInterfaces::MessageRequestObserverInterface</a>.</p>

</div>
</div>
<a id="ac5c4fc5fef1bcccfad0951666170f465"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5c4fc5fef1bcccfad0951666170f465">&#9670;&nbsp;</a></span>onSendCompleted()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::acl::PostConnectSynchronizer::onSendCompleted </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7b">MessageRequestObserverInterface::Status</a>&#160;</td>
          <td class="paramname"><em>status</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a2ef03c8d93590f362758fafcc22c2b72">alexaClientSDK::avsCommon::sdkInterfaces::MessageRequestObserverInterface</a>.</p>

</div>
</div>
<h2 class="groupheader">Friends And Related Function Documentation</h2>
<a id="aee60dfc13f0d0163a600d788a524a725"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee60dfc13f0d0163a600d788a524a725">&#9670;&nbsp;</a></span>operator&lt;&lt;</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const PostConnectSynchronizer::State&#160;</td>
          <td class="paramname"><em>state</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Friend to allow access to enum class <code>State</code>. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/ACL/include/ACL/Transport/<a class="el" href="_post_connect_synchronizer_8h_source.html">PostConnectSynchronizer.h</a></li>
<li>/workplace/avs-device-sdk/ACL/src/Transport/<a class="el" href="_post_connect_synchronizer_8cpp.html">PostConnectSynchronizer.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
